/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an map from integers to objects. */

package cgmud.base;

import java.util.Hashtable;


public class Cache extends Hashtable {

    /* ----- constructors ----- */

    public Cache() { super(1000, 0.6F); }


    /* ----- inspectors ----- */

    public Object getItem(int key) {
	return get(new Integer(key));
    }

    public boolean hasKey(int key) {
	return containsKey(new Integer(key));
    }


    /* ----- mutators ----- */

    public void insertItem(int key, Object obj) {
	put(new Integer(key), obj);
    }

    public void removeItem(int key) {
	remove(new Integer(key));
    }

    // just inherit clear()

}
