/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a add-button-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.ui.ButtonPanel;


public class AddButton extends Effect {

    private short d_x;
    private short d_y;
    private short d_id;
    private String d_text;


    public AddButton(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_x = bs.getShort();
	d_y = bs.getShort();
	d_id = bs.getShort();
	d_text = bs.getString();
    }

    public void run(Component com) throws EffectException {
	((ButtonPanel) com).addButton(d_id, d_text, d_x, d_y,
	    d_buttonForeground, d_buttonBackground);
    }

}
