/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a add-region-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import java.awt.Rectangle;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class AddRegion extends Effect {

    private short d_x;
    private short d_y;
    private short d_wid;
    private short d_hei;
    private short d_id;


    public AddRegion(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_x = bs.getShort();
	d_y = bs.getShort();
	d_wid = bs.getShort();
	d_hei = bs.getShort();
	d_id = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	Region reg = new Region(d_x, d_y, d_wid, d_hei, com);
	Globals.theRegions.insertItem(d_id, reg);
    }

}
