/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a clear-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import java.awt.Dimension;
import cgmud.base.ByteSequence;
import cgmud.ui.BackedCanvas;


public class Clear extends Effect {

    public Clear(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	// nothing
    }

    public void run(Component com) throws EffectException {
	Dimension size = com.getSize();
	((BackedCanvas) com).getBackingGraphics()
	    .clearRect(0, 0, size.width, size.height);
    }

}
