/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a display-tile-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.ui.BackedCanvas;
import cgmud.ui.Tile;


public class DisplayTile extends Effect {

    private short d_id;


    public DisplayTile(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_id = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	Tile ti = (Tile) Globals.theTiles.getItem(d_id);
	((BackedCanvas) com).getBackingGraphics()
	    .drawImage(ti.getImage(), d_ptX, d_ptY, null);
    }

}
