/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a erase-button-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.ui.ButtonPanel;


public class EraseButton extends Effect {

    private short d_id;


    public EraseButton(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_id = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	((ButtonPanel) com).removeButton(d_id);
    }

}
