/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an component's click-rectangle. */

package cgmud.effect;

import java.awt.Component;
import java.awt.Rectangle;


public class Region {

    private Rectangle d_rect;
    private Component d_comp;

    public Region(int px, int py, int wid, int hei, Component com) {
	d_rect = new Rectangle(px, py, wid, hei);
	d_comp = com;
    }

    public Component getComponent() { return d_comp; }
    public Rectangle getRectangle() { return d_rect; }

}
