/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a remove-icon-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.ui.IconPane;


public class RemoveIcon extends Effect {

    private int d_id;


    public RemoveIcon(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_id = bs.getInt();
    }

    public void run(Component com) throws EffectException {
	if (Globals.theIconPane == null) {
	    Globals.theMain.printdiag("RemoveIcon but no IconPane");
	    return;
	}
	Globals.theIconPane.hideIcon(d_id);
    }

}
