/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a scroll-rectangle-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.ui.BackedCanvas;


public class ScrollRectangle extends Effect {

    private short d_dx;
    private short d_dy;
    private short d_xmin;
    private short d_ymin;
    private short d_wid;
    private short d_hei;


    public ScrollRectangle(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_dx = bs.getShort();
	d_dy = bs.getShort();
	d_xmin = bs.getShort();
	d_ymin = bs.getShort();
	d_wid = bs.getShort();
	d_hei = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	// assume dx, dy are non-negative
/*
	int lft = d_xmin;
	int top = d_ymin;
	int wid = d_wid - d_dx;
	int hei = d_hei - d_dy;

	// correct for negative dx, dy
	if (d_dx < 0) {
	    lft -= d_dx;
	    wid = d_wid + d_dx;
	}
	if (d_dy < 0) {
	    top -= d_dy;
	    hei = d_hei + d_dy;
	}

	((BackedCanvas) com).getBackingGraphics()
	    .copyArea(lft, top, wid, hei, d_dx, d_dy);
*/
	((BackedCanvas) com).getBackingGraphics()
	    .copyArea(d_xmin, d_ymin, d_wid, d_hei, d_dx, d_dy);
    }

}
