/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-button-pen-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class SetButtonPen extends Effect {

    private short d_butpen;
    private short d_mainpen;


    public SetButtonPen(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_butpen = bs.getShort();
	d_mainpen = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	int colint = Globals.thePenSet.getColorint(d_mainpen);
	switch (d_butpen) {
	    case 0:
		d_buttonBackground = colint;
		break;
	    case 1:
		d_buttonForeground = colint;
		break;
	    default:
		// do nothing
	}
    }

}
