/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-cursor-pattern-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.ui.IconedCanvas;


public class SetCursorPattern extends Effect {

    private byte[] d_pattern;


    public SetCursorPattern(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_pattern = bs.getBlock(32);
    }

    public void run(Component com) throws EffectException {
	IconedCanvas ic = (IconedCanvas) com;
	ic.setIconPattern(d_pattern);
    }

}
