/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-cursor-pen-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.ui.IconedCanvas;


public class SetCursorPen extends Effect {

    private short d_pen;


    public SetCursorPen(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_pen = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	IconedCanvas ic = (IconedCanvas) com;
	ic.setIconColor(Globals.thePenSet.getColorint(d_pen));
    }

}
