/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-pen-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class SetPen extends Effect {

    private short d_pen;


    public SetPen(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_pen = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	Globals.thePenSet.setCurrentPen(d_pen);
    }

}
