/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a line to be transmitted. */

package cgmud.event;

import java.awt.*;


public class LineEvent extends AWTEvent {

    public final static int LINE_EVENT_ID = AWTEvent.RESERVED_ID_MAX + 1;

    private String d_line;
    private boolean d_local;


    /* ----- constructors ----- */

    public LineEvent(Component handler, String line, boolean local) {
	super(handler, LINE_EVENT_ID);
	d_line = line;
	d_local = local;
    }


    /* ----- inspectors ----- */

    public String getLine() { return d_line; }
    public boolean isLocal() { return d_local; }

}
