/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a button-hit message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class ButtonHit extends Message {

    /* ----- constructors ----- */

    public ButtonHit(int butid) {
	super(Message.BUTTON_HIT, butid, (byte) 0, (short) 0);
    }

    /* packaged */ ButtonHit(ByteSequence data) { super(data); }



    /* ----- processing ----- */

    public void process(Main main) {
	main.serverError();
    }

}
