/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an effects-message. */

package cgmud.message;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.effect.Effect;
import cgmud.effect.EffectFormException;
import cgmud.effect.EffectSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class Effects extends Message {

    private Effect d_ef;


    /* ----- constructors ----- */

    /* packaged */ Effects(ByteSequence data) {
	super(data);
	setIndex(D_LOC_TAIL);
	try {
	    d_ef = new EffectSequence(this);
	} catch (EffectFormException ex) {
	    ex.printStackTrace();
	    d_ef = null;
	    Globals.theMain.printdiag(ex.toString());
	}
    }


    /* ----- processing ----- */

    public void process(Main main) {
	try {
	    Component com = Globals.theFrame.getBoxComponent(getKey());
	    d_ef.run(com);
	    com.repaint();
	} catch (Exception ex) {
	    ex.printStackTrace();
	}
    }

}
