/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an input-line message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class InputLine extends Message {

    /* ----- constructors ----- */

    public InputLine(String line) {
	super(Message.INPUT_LINE, 0, (byte) 0,
	    (short) (line.length() + 1));
	setIndex(D_LOC_TAIL);
	appendString(line);
    }

    /* packaged */ InputLine(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	main.serverError();
    }

}
