/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a nuke-client message.
   Like most "empty" messages, it doesn't need much. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class NukeClient extends Message {

    /* ----- constructors ----- */

    /* packaged */ NukeClient(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	if (Globals.sessionState == Globals.SESSION_SHUTDOWN) return;
	main.disconnectNow("Server has ordered disconnect.");
    }

}
