/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a raw-key message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class RawKey extends Message {

    public static final int
	RAWKEY_UPLEFT    =  1,
	RAWKEY_UP        =  2,
	RAWKEY_UPRIGHT   =  3,
	RAWKEY_LEFT      =  4,
	RAWKEY_CENTER    =  5,
	RAWKEY_RIGHT     =  6,
	RAWKEY_DOWNLEFT  =  7,
	RAWKEY_DOWN      =  8,
	RAWKEY_DOWNRIGHT =  9,
	RAWKEY_PLUS      = 10,
	RAWKEY_MINUS     = 11,
	RAWKEY_HELP	 = 32;


    /* ----- constructors ----- */

    public RawKey(int keycode) {
	super(Message.RAW_KEY, keycode, (byte) 0, (short) 0);
    }

    /* packaged */ RawKey(ByteSequence data) { super(data); }



    /* ----- processing ----- */

    public void process(Main main) {
	main.serverError();
    }

}
