/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-prompt message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class SetPrompt extends Message {

    /* ----- constructors ----- */

    /* packaged */ SetPrompt(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	if (Globals.sessionState == Globals.SESSION_SHUTDOWN) return;
	setIndex(D_LOC_TAIL);
	main.setPrompt(getString());
    }

}
