/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an text-message message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class TextMessage extends Message {

    /* ----- constructors ----- */

    /* packaged */ TextMessage(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	if (Globals.sessionState == Globals.SESSION_SHUTDOWN) return;

	/* The server likes to put '\n' at the end. We take it off. */
	setIndex(D_LOC_TAIL);
	StringBuffer sb = new StringBuffer(getString());
	int sz = sb.length();
	if (sz == 0) return;
	if (sb.charAt(sz-1) == '\n') sb.setLength(sz-1);
	main.println(sb.toString());
    }

}
