/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a erase-region-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class EraseRegion extends Effect {

    private short d_id;


    public EraseRegion(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_id = bs.getShort();
    }

    public void run(Component com) throws EffectException {
	Globals.theRegions.removeItem(d_id);
    }

}
