/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a new-icon-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.ui.IconPane;


public class NewIcon extends Effect {

    private int d_id;
    private byte[] d_data;


    public NewIcon(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_id = bs.getInt();
	d_data = bs.getBlock(32); // 16x16 bits
    }

    public void run(Component com) throws EffectException {
	if (Globals.theIconPane == null) {
	    Globals.theMain.printdiag("NewIcon but no IconPane");
	    return;
	}
	Globals.theIconPane.showNewIcon(d_id, d_data,
	    Globals.thePenSet.getColorint(d_iconPen));
    }

}
