/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a pixel-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.ui.BackedCanvas;


public class Pixel extends Effect {

public Pixel(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	// nothing
    }

    public void run(Component com) throws EffectException {
	((BackedCanvas) com).getBackingGraphics()
	    .fillRect(d_ptX, d_ptY, 1, 1);
    }

}
