/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a remove-cursor-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.ui.IconedCanvas;


public class RemoveCursor extends Effect {

    public RemoveCursor(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	// nothing
    }

    public void run(Component com) throws EffectException {
	((IconedCanvas) com).showIcon(false);
    }

}
