/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a reset-icons-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class ResetIcons extends Effect {

    public ResetIcons(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	// nothing
    }

    public void run(Component com) throws EffectException {
	if (Globals.theIconPane == null) {
	    Globals.theMain.printdiag("ResetIcons but no IconPane");
	    return;
	}
	Globals.theIconPane.hideAllIcons();
    }

}
