/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-colour-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;


public class SetColour extends Effect {

    private short d_pen;
    private int d_colour;


    public SetColour(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_pen = bs.getShort();
	d_colour = bs.getInt();
    }

    public void run(Component com) throws EffectException {
	Globals.thePenSet.setPen(d_pen, d_colour);
    }

}
