/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a set-image-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import cgmud.base.ByteSequence;


public class SetImage extends Effect {

    private String d_file;


    public SetImage(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_file = bs.getString();
    }

    public void run(Component com) throws EffectException {
	d_theImage = fetchImage(d_file, com);
    }

}
