/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a text-effect and its body. */

package cgmud.effect;

import java.awt.Component;
import java.awt.Graphics;
import cgmud.base.ByteSequence;
import cgmud.ui.BackedCanvas;


public class Text extends Effect {

    private String d_str;


    public Text(ByteSequence bs)
    throws EffectException, ArrayIndexOutOfBoundsException
    {
	d_str = bs.getString();
    }

    public void run(Component com) throws EffectException {
	Graphics gr = ((BackedCanvas) com).getBackingGraphics();
	gr.drawString(d_str, d_ptX, d_ptY + 1);
	d_ptX += gr.getFontMetrics().stringWidth(d_str);
    }
}
