/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents an incoming message. */

package cgmud.event;

import java.awt.*;
import cgmud.message.Message;


public class MessageEvent extends AWTEvent {

    public final static int MESSAGE_EVENT_ID = AWTEvent.RESERVED_ID_MAX + 3;

    private Message d_message;


    /* ----- constructors ----- */

    public MessageEvent(Component handler, Message message) {
	super(handler, MESSAGE_EVENT_ID);
	d_message = message;
    }


    /* ----- inspectors ----- */

    public Message getMessage() { return d_message; }

}
