/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a get-string message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class GetString extends Message {


    /* ----- constructors ----- */

    /* packaged */ GetString(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	setIndex(D_LOC_TAIL);
	String lab = getString();
	String def = getString();
	main.requestString(lab, def);
    }

}
