/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a get-string-done message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class GetStringDone extends Message {


    /* ----- constructors ----- */

    public GetStringDone(boolean ok, String str) {
	super(GET_STRING_DONE, 0, (byte) (ok ? 1 : 0),
	      (short) (str.length() + 1));
	appendString(str);
    }

    /* packaged */ GetStringDone(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	main.serverError();
    }

}
