/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a kill-client message.
   Like most "empty" messages, it doesn't need much. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class KillClient extends Message {

    /* ----- constructors ----- */

    /* packaged */ KillClient(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	if (Globals.sessionState == Globals.SESSION_SHUTDOWN) return;
	main.printdiag("Server has requested disconnection.");
	main.abandonConnect();
    }

}
