/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a log message. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class Log extends Message {

    /* ----- constructors ----- */

    public Log(String line) {
	super(Message.INPUT_LINE, 0, (byte) 0,
	    (short) (line.length() + 1));
	setIndex(D_LOC_TAIL);
	appendString(line);
    }

    /* packaged */ Log(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	setIndex(D_LOC_TAIL);
	Globals.logFile.logString(getString());
    }

}
