/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a region-select message. */

package cgmud.message;

import java.awt.Point;
import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class RegionSelect extends Message {

    /* ----- constructors ----- */

    public RegionSelect(int region, Point pt) {
	super(Message.REGION_SELECT, region, (byte) 0, (short) 4);
	appendShort((short) pt.x);
	appendShort((short) pt.y);
    }

    /* packaged */ RegionSelect(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	main.serverError();
    }

}
