/* Copyright 1999 by Donald Reble. All rights reserved. */

/* $Id: $ */
/* This class represents a run-client message.
   Like most "empty" messages, it doesn't need much. */

package cgmud.message;

import cgmud.base.ByteSequence;
import cgmud.main.Globals;
import cgmud.main.Main;


public class RunClient extends Message {

    /* ----- constructors ----- */

    public RunClient() {
	super(Message.END_CLIENT, 0, (byte) 0, (short) 0);
    }

    /* packaged */ RunClient(ByteSequence data) { super(data); }


    /* ----- processing ----- */

    public void process(Main main) {
	if (Globals.sessionState == Globals.SESSION_SHUTDOWN) return;
	if (Globals.sessionState != Globals.SESSION_MSG_RUN_CLIENT) {
	    main.serverError();
	    return;
	}
	Globals.sessionState = Globals.SESSION_PLAYING;
    }

}
